#
# spec file for package python-zope.deferredimport
#
# Copyright (c) 2025 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?sle15_python_module_pythons}
Name:           python-zope.deferredimport
VCS: https://src.suse.de/SLFO-pool/python-zope.deferredimport#fa8b7a8f314d98ddda3ee013f65d52e592b7a63cb88f7b09e4c40b5a2d849dbc
Version:        5.0
Release:        160000.2.2
Summary:        On-demand import name resolver
License:        ZPL-2.1
Group:          Development/Languages/Python
URL:            https://github.com/zopefoundation/zope.deferredimport
Source:         https://files.pythonhosted.org/packages/source/z/zope.deferredimport/zope.deferredimport-%{version}.tar.gz
BuildRequires:  %{python_module pip}
BuildRequires:  %{python_module wheel}
BuildRequires:  %{python_module zope.proxy}
BuildRequires:  %{python_module zope.testrunner}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
Requires:       python-zope.proxy
BuildArch:      noarch
%python_subpackages

%description
Often, especially for package modules, you want to import names for
convenience, but not actually perform the imports until necessary.
The zope.deferredimport package provided facilities for defining names
in modules that will be imported from somewhere else when used.  You
can also cause deprecation warnings to be issued when a variable is
used.

Documentation is hosted at https://zopedeferredimport.readthedocs.io/

%prep
%setup -q -n zope.deferredimport-%{version}

%build
%pyproject_wheel

%install
%pyproject_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
%python_expand PYTHONPATH=src %{_bindir}/zope-testrunner-%{$python_bin_suffix} -vvv --test-path src

%files %{python_files}
%license LICENSE.txt
%doc README.rst
%{python_sitelib}/zope/deferredimport
%{python_sitelib}/zope.deferredimport-%{version}-py*-nspkg.pth
%{python_sitelib}/zope[_.]deferredimport-%{version}.dist-info

%changelog
* Tue Apr  1 2025 mmachova@suse.com
- Make it compatible with older setuptools
* Thu Mar 27 2025 steven.kowalik@suse.com
- Normalize metadata directory name.
* Fri Dec 29 2023 dmueller@suse.com
- update to 5.0:
  * Drop support for Python 2.7, 3.5, 3.6.
  * Add support for Python 3.11.
* Fri Dec 29 2023 dmueller@suse.com
- update to 5.0:
  * Drop support for Python 2.7, 3.5, 3.6.
  * Add support for Python 3.11.
* Fri Jun  9 2023 ecsos@opensuse.org
- Add %%{?sle15_python_module_pythons}
* Thu Oct 13 2022 dmueller@suse.com
- use https for urls
* Fri Sep 16 2022 yarunachalam@suse.com
- Update to 4.4:
  * Add support for Python 3.8, 3.9 and 3.10.
  * Drop support for Python 3.4.
* Mon Aug 12 2019 tchvatal@suse.com
- Update to 4.3.1:
  * Avoid race condition in deferredmodule.ModuleProxy.__getattr__
* Wed Apr 10 2019 jengelh@inai.de
- Use noun phrase in summary.
* Mon Apr  8 2019 mcalabkova@suse.com
- Initial packaging.
